"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const BinaryOperatorNode_1 = tslib_1.__importDefault(require("./BinaryOperatorNode"));
class AndNode extends BinaryOperatorNode_1.default {
    get name() {
        return `and`;
    }
    evaluate(context) {
        const leftContent = this.left.evaluate(context);
        const rightContent = this.right.evaluate(context);
        if (leftContent.length !== 0 && rightContent.length !== 0) {
            return leftContent.concat(rightContent);
        }
        else {
            return [];
        }
    }
}
exports.default = AndNode;
//# sourceMappingURL=AndNode.js.map