"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const BinaryOperatorNode_1 = tslib_1.__importDefault(require("./BinaryOperatorNode"));
class EqualsNode extends BinaryOperatorNode_1.default {
    get name() {
        return `eq`;
    }
    evaluate(context) {
        const leftContent = this.left.evaluate(context);
        const rightContent = this.right.evaluate(context);
        if (leftContent[0].value === rightContent[0].value) {
            if (leftContent[0].key !== undefined) {
                return leftContent;
            }
            else {
                return rightContent;
            }
        }
        else {
            return [];
        }
    }
}
exports.default = EqualsNode;
//# sourceMappingURL=EqualsNode.js.map