"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const BinaryOperatorNode_1 = tslib_1.__importDefault(require("./BinaryOperatorNode"));
class OrNode extends BinaryOperatorNode_1.default {
    get name() {
        return `or`;
    }
    evaluate(context) {
        const leftContent = this.left.evaluate(context);
        const rightContent = this.right.evaluate(context);
        if (leftContent.length !== 0 || rightContent.length !== 0) {
            return leftContent.concat(rightContent);
        }
        else {
            return [];
        }
    }
}
exports.default = OrNode;
//# sourceMappingURL=OrNode.js.map