"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isTable = exports.isEntity = void 0;
/**
 * Determines whether a given query context contains a table entity or not.
 *
 * @param {IQueryContext} context The context which should be tested.
 * @returns {boolean}
 */
function isEntity(context) {
    return context.hasOwnProperty('PartitionKey');
}
exports.isEntity = isEntity;
/**
 * Determines whether a given query context contains a table or not.
 *
 * @param {IQueryContext} context
 * @returns {boolean}
 */
function isTable(context) {
    return !!context.table;
}
exports.isTable = isTable;
//# sourceMappingURL=IQueryContext.js.map