"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Represents a binary operator node in a query tree.
 *
 * NOTE: This is an abstract class from which various other binary operator nodes are derived,
 *       such as AndNode and OrNode. It is used to enable easier traversal of the tree when
 *      performing validations etc.
 */
class BinaryOperatorNode {
    constructor(left, right) {
        this.left = left;
        this.right = right;
    }
    toString() {
        return `(${this.name} ${this.left.toString()} ${this.right.toString()})`;
    }
}
exports.default = BinaryOperatorNode;
//# sourceMappingURL=BinaryOperatorNode.js.map